[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: BugTraq Kernel 2.2.19

> Has anyone else noticed that the included exploit does not affect
> 2.2.19?  I tested it on one of my boxes and got the expected 'Operation
> not permitted'.  Maybe I'm misunderstanding the problem, but I thought
> taht 2.2.19 took care of (well hindered) the ptrace problems.

I can't make the ptrace exploit work on my 2.2.19 system... but I might
be doing something wrong (I'm not quite sure what to expect).  I get:
   exec ./insert_shellcode 30505
   execl: Operation not permitted

The mklink.sh script definitely works as advertised.  If I use an argument
of 10, I'm dead in the water until the script finishes.


Kenneth J. Pronovici <pronovic@ieee.org>
Personal Homepage: http://www.skyjammer.com/~pronovic/
"I have zero tolerance for zero-tolerance policies."

Reply to: